Page MenuHomePhabricator

Populate the contributors.json file in awmd-stats tool with contributors details
Open, Needs TriagePublic

Description

As this is the default file that the tool feeds on to generate stats for user contributions, it would be good to take some time to get all contributor's information (so far) in order for the tool not to miss contributions of users for a particular (upcoming month).

In addition, we should carefully monitor new users that create developer accounts and keep track of these accounts in order to have the data in contributors.json.

NOTE: Patches for this ticket can be submitted by contributors themselves when they start making contributions so it's easy for the file to scale :)

Imported from issue #11 from prev Github repo

Steps to submit a patch

Link to repository and how to clone: https://gerrit.wikimedia.org/r/admin/projects/labs/tools/awmd-stats

  1. Clone the repository :)
  2. Open the contributors.json file.
  3. Make sure the user you want to add in the file is not already there.
  4. Copy paste this code template {"name": "", "username": "", "country": ""} and make sure it's formatted as in the file.
  5. Fill in the necessary values corresponding to the keys.
  6. Save and submit a PS for review

Once your PS is merged, you'll start featuring on the tool once you submit other patches.

Related Objects

Mentioned In
rLTASeb7127dc3574: [IMPR] Add myself to the contributors.json file
rLTAS4cb3c9bc280e: [IMPR] Add myself to the contributors.json file
rLTASfee953d637d2: [IMPR] Add myself to the contributors.json file
rLTAS3cc3f0a204e3: [IMPR] Add myself to the contributors.json file
rLTAS395fc962ad57: [IMPR] Add myself to the contibutors.json file
rLTAS976617f156f0: [IMPR] Add myself to the contributors.json file
rLTAS8eff8cf16f31: [IMPR] Add myself to the contributors.json file
rLTAS7f7d967c33a8: [IMPR] Add Zoranzoki21 in contributors.json
rLTASc3827e9fb1e9: [IMPR] Add Zoranzoki21 in contributors.json
rLTAS025b6c025471: [IMPR] Add Zoranzoki21 in contributors.json
rLTASaf787c986d0d: [IMPR] Add Zoranzoki21 in contributors.json
rLTAS1c38edf725f9: [IMPR] contributors.json: Add user to contributor tracking file
rLTAS342ea1cab90e: [IMPR] Add Zoranzoki21 in contributors.json
rLTASf15099e7b502: [IMPR] Add Zoranzoki21 in contributors.json
rLTAS03045e22118b: Add Zoranzoki21 in contributors.json
rLTASdb64be23b11c: [IMPR] contributors.json: Add user to contributor tracking file
rLTAS8e37a6bfd904: [IMPR] Add Zoranzoki21 in contributors.json
T217966: Proposal: Improving ~20 documentation pages to help MediaWiki users to gain mastery of the value and usage of the Mediawiki Action API - Outreachy 18
rLTAS64775285db19: [IMPR] Add my name to contributors.json
rLTAS9c7bd8315feb: [IMPR] Add myself to contributors list for AWMD
rLTASd32461899e53: [IMPR] Add myself to contributors.json for AWMD
rLTASfffeac56058b: Add my name to contributors.json
rLTASabf56d696b00: [IMPR] Add my name to contributors.json
rLTASf6701d24ae69: contributors.json: Add user to contributor tracking file
rLTAS08579af3c198: [IMPR] contributors.json: Add user to contributor tracking file
rLTAS8e7e173ea1b9: [IMPR] contributors.json: Add user to contributor tracking file
rLTAS7cf0c5f1cf22: [IMPR] Add myself to contributors.json for AWMD
rLTASc75edf3379bd: [IMPR] Add myself to contributors list for AWMD
rLTAS166198f5a533: Add myself to contributors list for AWMD
rLTAS09e3e34b9bd5: Add myself to contributors list for AWMD
rLTASe35172032c27: Add myself to contributors list for AWMD
rLTAS3658ecf1a22a: Add myself to contributors list for AWMD
rLTASf9855b53b690: [IMPR] Add myself to contributors.json for AWMD
rLTASa1008c6f7958: [IMPR] Add myself to contributors.json for AWMD
rLTAS293ccc85f5de: [IMPR] Add myself to contributors.json for AWMD T202230
T42: Textarea populated with your last message?
rLTASe3f595ef973a: [IMPR] Add myself to contributors.json for AWMD T202230
rLTAS9c12fa466008: contributors.json: Add new contributor
rLTAS3e76979feb9a: contributors.json: Change-Id add new contributor
T201680: Africa Wikimedia Developers IRC general meeting #12
rLTASc72f515207c1: contributors.json: Add my details as contributor
rLTASc98622f95faf: Add a name to contributors
rLTAS26be86cd47a8: Add a name to contributors
rLTAS5cd74f7a4688: contributors.json: Add my details as contributor
rLTASf9932214bcdd: Add contributor to contributor file

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
D3r1ck01 updated the task description. (Show Details)Oct 12 2018, 5:35 PM
D3r1ck01 updated the task description. (Show Details)Oct 14 2018, 1:35 PM

Change 467513 had a related patch set uploaded (by D3r1ck01; owner: Didicodes):
[labs/tools/awmd-stats@master] contributors.json: Add my details as contributor

https://gerrit.wikimedia.org/r/467513

Change 468057 had a related patch set uploaded (by D3r1ck01; owner: Farida):
[labs/tools/awmd-stats@master] Add a name to contributors

https://gerrit.wikimedia.org/r/468057

Change 468057 merged by jenkins-bot:
[labs/tools/awmd-stats@master] Add a name to contributors

https://gerrit.wikimedia.org/r/468057

Change 467513 merged by jenkins-bot:
[labs/tools/awmd-stats@master] contributors.json: Add my details as contributor

https://gerrit.wikimedia.org/r/467513

D3r1ck01 renamed this task from Populate / Build up the contributors.json file for awmd-stats tool with contributor details to Populate the contributors.json file in awmd-stats tool with contributors details.Nov 14 2018, 8:15 PM

Change 473842 had a related patch set uploaded (by Awah Nadege; owner: Awah Nadege):
[labs/tools/awmd-stats@master] contributors.json: Change-Id add new contributor

https://gerrit.wikimedia.org/r/473842

Change 473842 merged by jenkins-bot:
[labs/tools/awmd-stats@master] contributors.json: Add new contributor

https://gerrit.wikimedia.org/r/473842

Change 483741 had a related patch set uploaded (by Anyijonathan; owner: Anyijonathan):
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors.json for AWMD T202230

https://gerrit.wikimedia.org/r/483741

Change 483741 had a related patch set uploaded (by Anyijonathan; owner: Anyijonathan):
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors.json for AWMD

https://gerrit.wikimedia.org/r/483741

Change 483741 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors.json for AWMD

https://gerrit.wikimedia.org/r/483741

Change 485579 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[labs/tools/awmd-stats@master] Add myself to contributors list for AWMD

https://gerrit.wikimedia.org/r/485579

Change 485579 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors list for AWMD

https://gerrit.wikimedia.org/r/485579

Ifeanyijasper added a subscriber: Ifeanyijasper.
D3r1ck01 removed Ifeanyijasper as the assignee of this task.Feb 18 2019, 11:09 PM

@Ifeanyijasper, I've removed you as assignee as the task is a continuous process for volunteer developers to add themselves and reference the issue. It's not a one-time kinda task to do and resolve. I've reviewed your patch as well, check!

Change 495516 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[labs/tools/awmd-stats@master] contributors.json: Add user to contributor tracking file

https://gerrit.wikimedia.org/r/495516

Change 491260 had a related patch set uploaded (by D3r1ck01; owner: okonkwo ifeanyichukwu):
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors.json for AWMD

https://gerrit.wikimedia.org/r/491260

Change 491260 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add myself to contributors.json for AWMD

https://gerrit.wikimedia.org/r/491260

Change 497284 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[labs/tools/awmd-stats@master] Add my name to contributors.json

https://gerrit.wikimedia.org/r/497284

Change 497284 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add my name to contributors.json

https://gerrit.wikimedia.org/r/497284

Change 497355 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[labs/tools/awmd-stats@master] Add Zoranzoki21 in contributors.json

https://gerrit.wikimedia.org/r/497355

Change 495516 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[labs/tools/awmd-stats@master] [IMPR] contributors.json: Add user to contributor tracking file

https://gerrit.wikimedia.org/r/495516

Change 497355 had a related patch set uploaded (by D3r1ck01; owner: Zoranzoki21):
[labs/tools/awmd-stats@master] [IMPR] Add Zoranzoki21 in contributors.json

https://gerrit.wikimedia.org/r/497355

Change 495516 abandoned by D3r1ck01:
[IMPR] contributors.json: Add user to contributor tracking file

Reason:
I'll resurrect this when need be.

https://gerrit.wikimedia.org/r/495516

Change 495516 restored by D3r1ck01:
[IMPR] contributors.json: Add user to contributor tracking file

https://gerrit.wikimedia.org/r/495516

Change 495516 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] contributors.json: Add user to contributor tracking file

https://gerrit.wikimedia.org/r/495516

Change 497355 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add Zoranzoki21 in contributors.json

https://gerrit.wikimedia.org/r/497355

Change 518360 had a related patch set uploaded (by Krumpnificent; owner: Krumpnificent):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518360

Change 518361 had a related patch set uploaded (by Mahveotm; owner: Mahveotm):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518361

Change 518362 had a related patch set uploaded (by Timoy93; owner: Timoy93):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contibutors.json file

https://gerrit.wikimedia.org/r/518362

Change 518363 had a related patch set uploaded (by Codefreakie; owner: Codefreakie):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518363

Change 518364 had a related patch set uploaded (by Adetoun16; owner: Adetoun16):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518364

Change 518365 had a related patch set uploaded (by Fsuperbee13; owner: Fsuperbee13):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518365

Change 518367 had a related patch set uploaded (by Sunboy005; owner: Sunboy005):
[labs/tools/awmd-stats@master] [IMPR] Add myself to the contributors.json file

https://gerrit.wikimedia.org/r/518367